Gecode::Search::CutoffMerge Class Reference
Functionality by programming task » Programming models » Search engines

Cutoff generator merging two cutoff generators. More...

`#include <search.hh>`

## Public Member Functions

| CutoffMerge (Cutoff *c1, Cutoff *c2)
| Constructor.
virtual unsigned long int | operator() (void) const
| Return the current cutoff value.
virtual unsigned long int | operator++ (void)
| Increment and return the next cutoff value.
virtual | ~CutoffMerge (void)
| Destructor.
| Cutoff (void)
| Default constructor.
virtual | ~Cutoff (void)
| Destructor.

## Protected Attributes

Cutoff * | c1
| First cutoff generator.
Cutoff * | c2
| Second cutoff generator.

## Additional Inherited Members

static Cutoff * | constant (unsigned long int scale=Config::slice)
| Create generator for constant sequence with constant s.
static Cutoff * | linear (unsigned long int scale=Config::slice)
| Create generator for linear sequence scaled by scale.
static Cutoff * | geometric (unsigned long int scale=Config::slice, double base=Config::base)
static Cutoff * | luby (unsigned long int scale=Config::slice)
| Create generator for luby sequence with scale-factor scale.
static Cutoff * | rnd (unsigned int seed, unsigned long int min, unsigned long int max, unsigned long int n)
static Cutoff * | append (Cutoff *c1, unsigned long int n, Cutoff *c2)
| Append cutoff values from c2 after n values from c1.
static Cutoff * | merge (Cutoff *c1, Cutoff *c2)
| Merge cutoff values from c1 with values from c2.
static Cutoff * | repeat (Cutoff *c, unsigned long int n)
| Create generator that repeats n times each cutoff value from c.
Static Public Member Functions inherited from Gecode::HeapAllocated
static void * | operator new (size_t s)
| Memory management.
static void | operator delete (void *p)
| Free memory allocated from heap.

## Detailed Description

Cutoff generator merging two cutoff generators.

Definition at line 659 of file search.hh.

## Constructor & Destructor Documentation

## CutoffMerge()

Gecode::Search::CutoffMerge::CutoffMerge | ( | Cutoff * | c1,
|  | Cutoff * | c2 )

inline

Constructor.

Definition at line 109 of file cutoff.hpp.

## ~CutoffMerge()

Gecode::Search::CutoffMerge::~CutoffMerge | ( | void |  | ) |

inline virtual

Destructor.

Definition at line 112 of file cutoff.hpp.

## Member Function Documentation

## operator()()

unsigned long int Gecode::Search::CutoffMerge::operator() | ( | void |  | ) | const

virtual

Return the current cutoff value.

Implements Gecode::Search::Cutoff.

Definition at line 121 of file cutoff.cpp.

## operator++()

unsigned long int Gecode::Search::CutoffMerge::operator++ | ( | void |  | ) |

virtual

Increment and return the next cutoff value.

Implements Gecode::Search::Cutoff.

Definition at line 125 of file cutoff.cpp.

## Member Data Documentation

## c1

Cutoff* Gecode::Search::CutoffMerge::c1

protected

First cutoff generator.

Definition at line 662 of file search.hh.

## c2

Cutoff* Gecode::Search::CutoffMerge::c2

protected

Second cutoff generator.

Definition at line 664 of file search.hh.

The documentation for this class was generated from the following files:

- gecode/search.hh
- gecode/search/cutoff.cpp
- gecode/search/cutoff.hpp